Subject: Re: Is there way to set git commit --date to be older than 1970 ?

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Oct 2014 15:11:53 -0700

Jeff King <[email-masked]> writes:

> I think it would be a nice project to convert git to consistently use
> signed 64-bit times internally, and then everything would Just Work
> going back to the beginning of history. But the demand for such a
> feature has been low enough that nobody has really dug in and tried the
> conversion.
>
> We do also gain some small amount of efficiency by storing commit
> timestamps as 32-bit values. However, those should always be "current"
> times anyway. I think we are really talking about author timestamps
> here (and of course the underlying time-manipulation functions).

There are only three places we store timestamps that matter in the
on-disk representations, so if we were to go 64-bit internally,
which I do not mind at all, we probably should do all three i.e.,
committer, tagger and author dates.